Loading...
Searching...
No Matches
EnvInitializer Struct Reference

`#include <XrdClDefaultEnv.hh>`

Collaboration diagram for EnvInitializer:

## Public Member Functions

| EnvInitializer ()
| ~EnvInitializer ()

## Static Public Attributes

static int | counter = 0

## Detailed Description

Definition at line 192 of file XrdClDefaultEnv.hh.

## Constructor & Destructor Documentation

## EnvInitializer()

EnvInitializer::EnvInitializer | ( |  | ) |

Definition at line 878 of file XrdClDefaultEnv.cc.

{
if( counter++ == 0 ) XrdCl::DefaultEnv::Initialize();
}
EnvInitializer::counter
static int counter
Definition XrdClDefaultEnv.hh:196

References counter.

## ~EnvInitializer()

EnvInitializer::~EnvInitializer | ( |  | ) |

Definition at line 888 of file XrdClDefaultEnv.cc.

{
if( --counter == 0 ) XrdCl::DefaultEnv::Finalize();
}

References counter.

## Member Data Documentation

## counter

int EnvInitializer::counter = 0

static

Definition at line 196 of file XrdClDefaultEnv.hh.

Referenced by EnvInitializer(), and ~EnvInitializer().

The documentation for this struct was generated from the following files:

- XrdClDefaultEnv.hh
- XrdClDefaultEnv.cc